const Util = imports.misc.util;
const St = imports.gi.St;
const Main = imports.ui.main;

let button;

function _runGpick() {
    Util.spawn(['gpick'])
}

function init(extensionMeta) {
    let theme = imports.gi.Gtk.IconTheme.get_default();
        theme.append_search_path(extensionMeta.path + "/icons");

    button = new St.Bin({ style_class: 'panel-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });

    let icon = new St.Icon({
        icon_name: 'custom-gpick-icon',
        icon_size: 24,
        style_class: 'system-status-icon custom-gpick-icon'
    });

    button.set_child(icon);
    button.connect('button-press-event', _runGpick);
}

function enable() {
    Main.panel._rightBox.insert_child_at_index(button, 0);
}

function disable() {
    Main.panel._rightBox.remove_child(button);
}
